aboutsummaryrefslogtreecommitdiffstats
path: root/main/oscam/oscam.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-01-12 18:48:45 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-01-12 18:48:45 +0000
commitaa708cc985574d968fb5e9ffc7238868f80b8056 (patch)
treef031555f57bc04561349dd9b480c7fb8be0017f3 /main/oscam/oscam.initd
parentc438b8a15edf54dacd2646d05af852b312c8c834 (diff)
downloadaports-aa708cc985574d968fb5e9ffc7238868f80b8056.tar.bz2
aports-aa708cc985574d968fb5e9ffc7238868f80b8056.tar.xz
main/oscam: new snapshot and moved to main
Diffstat (limited to 'main/oscam/oscam.initd')
-rw-r--r--main/oscam/oscam.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/main/oscam/oscam.initd b/main/oscam/oscam.initd
new file mode 100644
index 0000000000..ed9918fd27
--- /dev/null
+++ b/main/oscam/oscam.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+
+# oscam init.d
+
+name="oscam"
+daemon="/usr/bin/$name"
+
+depend() {
+ use net
+}
+
+start() {
+ ebegin "Starting oscam"
+ start-stop-daemon --start \
+ --quiet \
+ --user $user \
+ --group $group \
+ --name $name \
+ --exec $daemon \
+ -- $args
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping oscam"
+ start-stop-daemon --stop \
+ --signal 2 \
+ --name $name
+ eend $?
+}